#==================================================#
#   Authored by Holt Calder for InterWorks, Inc.   #
#==================================================#

import json, datetime, time, boto3
from botocore.vendored import requests


def lambda_handler(event, context):
    Date = datetime.datetime.now()
    now = Date.strftime("%Y-%m-%d")
    Url = 'https://api.darksky.net/forecast/[APIKEY]/36.115608,-97.058365?exclude=minutely,hourly,daily,alerts,flags'
    Weather = requests.get(Url)
    Data = Weather.json()
    
    filename = 'runweather_'+ str(Date) + '.json'

    with open('/tmp/'+filename, 'wt') as out:
        res = json.dump(Data, out)

    s3 = boto3.client('s3')
    bucket_name = “[BucketName]”
    s3.upload_file('/tmp/'+filename, bucket_name, 'DarkSky/Currently/'+filename) 
    print(Date)
    return 'success'